Bug 186660 - Kernel oops in usb_new_device (khubd) on bootup
Summary: Kernel oops in usb_new_device (khubd) on bootup
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-25 04:04 UTC by Robert Hancock
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 2.6.17-1.2145_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-15 01:03:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel output from failed bootup with oops (34.16 KB, text/plain)
2006-03-25 04:04 UTC, Robert Hancock
no flags Details
kernel output from subsequent normal bootup (37.03 KB, text/plain)
2006-03-25 04:05 UTC, Robert Hancock
no flags Details
/var/log/messages of boot with oops (34.23 KB, application/octet-stream)
2006-04-06 20:30 UTC, Need Real Name
no flags Details

Description Robert Hancock 2006-03-25 04:04:21 UTC
Description of problem:

Kernel oops seen on one system bootup. System locked up later in boot. Upon
reboot system booted normally.

Version-Release number of selected component (if applicable):

2.6.15-1.2054_FC5

How reproducible:

Probably not.

Steps to Reproduce:
1. Boot up system
2. ??
  
Actual results:

Kernel oops and lockup.

Expected results:

Normal boot
Additional info:

Comment 1 Robert Hancock 2006-03-25 04:04:21 UTC
Created attachment 126692 [details]
kernel output from failed bootup with oops

Comment 2 Robert Hancock 2006-03-25 04:05:15 UTC
Created attachment 126693 [details]
kernel output from subsequent normal bootup

Comment 3 Pete Zaitcev 2006-03-25 08:03:59 UTC
Oddly enough, Alan Stern posted a patch to remove assumptions about
having an interface just last week. I can try to dig it out.


Comment 4 Need Real Name 2006-04-06 20:30:45 UTC
Created attachment 127425 [details]
/var/log/messages of boot with oops

Comment 5 Need Real Name 2006-04-06 20:32:50 UTC
Comment on attachment 127425 [details]
/var/log/messages of boot with oops

I get this one quite often as well...

Comment 6 Pete Zaitcev 2006-07-07 23:13:59 UTC
Robert, please test one of update kernels from here:
 http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/i386/
It's at 2.6.17-1.2145_FC5 currently.

I think the zero-interface device issue was fixed in 2.6.17.
If that fails, I look closer.


Comment 7 Robert Hancock 2006-07-15 00:42:38 UTC
I have not seen this in recent kernel versions (though I can't say for certain
that it is fixed as it was never very reproducible). Unless anyone has seen this
in recent kernels it can likely be marked as resolved.

Comment 8 Pete Zaitcev 2006-07-15 01:03:51 UTC
OK, I'll close at "currentrelease"+2.6.17-1.2145_FC5.



Note You need to log in before you can comment on or make changes to this bug.